Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCellPicker Class Reference

`#include <vtkCellPicker.h>`

Inheritance diagram for vtkCellPicker:

[legend]
Collaboration diagram for vtkCellPicker:

[legend]
List of all members.

## Detailed Description

select a cell by shooting a ray into graphics window

Date:
  2002/01/22 15:38:29

Revision:
  1.35

vtkCellPicker is used to select a cell by shooting a ray into graphics window and intersecting with actor's defining geometry - specifically its cells. Beside returning coordinates, actor and mapper, vtkCellPicker returns the id of the closest cell within the tolerance along the pick ray, and the dataset that was picked.

See also:
  vtkPicker vtkPointPicker

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (69%)
  - Martin, Ken (11%)
  - Miller, Jim (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkCellPicker.cxx)`
  - .`h` (`/Rendering/vtkCellPicker.h)`

Examples:
  vtkCellPicker (Examples)

Tests:
  vtkCellPicker (Tests)

Definition at line 56 of file vtkCellPicker.h.

## Public Types
typedef vtkPicker | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkIdType | GetCellId ()
virtual int | GetSubId ()
virtual float * | GetPCoords ()
virtual void | GetPCoords (float data[3])
## Static Public Methods
vtkCellPicker * | New ()
int | IsTypeOf (const char *type)
vtkCellPicker * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCellPicker ()
| ~vtkCellPicker ()
virtual float | IntersectWithLine (float p1[3], float p2[3], float tol, vtkAssemblyPath *path, vtkProp3D *p, vtkAbstractMapper3D *m)
void | Initialize ()
## Protected Attributes
vtkIdType | CellId
int | SubId
float | PCoords [3]

## Member Typedef Documentation

typedef vtkPicker vtkCellPicker::Superclass

| Reimplemented from vtkPicker. Definition at line 60 of file vtkCellPicker.h.

## Constructor & Destructor Documentation

vtkCellPicker::vtkCellPicker | ( |  | ) | `[protected]`

vtkCellPicker::~vtkCellPicker | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCellPicker* vtkCellPicker::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkPicker.

virtual const char* vtkCellPicker::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPicker.

int vtkCellPicker::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPicker.

virtual int vtkCellPicker::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPicker.

vtkCellPicker* vtkCellPicker::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPicker.

void vtkCellPicker::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPicker.

virtual vtkIdType vtkCellPicker::GetCellId | ( |  | ) | `[virtual]`

| Get the id of the picked cell. If CellId = -1, nothing was picked.

virtual int vtkCellPicker::GetSubId | ( |  | ) | `[virtual]`

| Get the subId of the picked cell. If SubId = -1, nothing was picked.

virtual float* vtkCellPicker::GetPCoords | ( |  | ) | `[virtual]`

| Get the parametric coordinates of the picked cell. Only valid if pick was made.

virtual void vtkCellPicker::GetPCoords | ( | float | data[3] | ) | `[virtual]`

| Get the parametric coordinates of the picked cell. Only valid if pick was made.

virtual float vtkCellPicker::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | vtkAssemblyPath * | path,
|  | vtkProp3D * | p,
|  | vtkAbstractMapper3D * | m
| ) | `[protected, virtual]`

| Reimplemented from vtkPicker.

void vtkCellPicker::Initialize | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPicker.

## Member Data Documentation

vtkIdType vtkCellPicker::CellId`[protected]`

| Definition at line 83 of file vtkCellPicker.h.

int vtkCellPicker::SubId`[protected]`

| Definition at line 84 of file vtkCellPicker.h.

float vtkCellPicker::PCoords[3]`[protected]`

| Definition at line 85 of file vtkCellPicker.h.

The documentation for this class was generated from the following file:

- Rendering/vtkCellPicker.h